Bug 1336817 - python-django-tables2: Provide a Python 3 subpackage
Summary: python-django-tables2: Provide a Python 3 subpackage
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: python-django-tables2
Version: 25
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Matthias Runge
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: PYTHON3 PY3PATCH-PUSH
TreeView+ depends on / blocked
 
Reported: 2016-05-17 13:47 UTC by Tomas Orsava
Modified: 2016-08-31 10:19 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-08-31 10:19:20 UTC


Attachments (Terms of Use)
Version update & enable Python 3 (4.03 KB, patch)
2016-07-25 09:01 UTC, Dominika Krejčí
no flags Details | Diff
Version update & enable Python 3 (2.14 KB, patch)
2016-07-26 13:11 UTC, Dominika Krejčí
no flags Details | Diff
New upstream release and Python 3 subpackage (3.95 KB, patch)
2016-08-31 07:58 UTC, Lumír Balhar
no flags Details | Diff

Description Tomas Orsava 2016-05-17 13:47:31 UTC
Upstream, this software supports Python 3. Please provide a Python 3
package for Fedora.


According to the Python packaging guidelines [0], software must be
packaged for Python 3 if upstream supports it.
The guidelines give detailed information on how to do this, and even
provide an example spec file [1].

The current best practice is to provide subpackages for the two Python
versions (called "Common SRPM" in the guidelines). Alternatively, if
nothing depends on your Python2 package, you can just switch to Python 3
entirely.

It's OK to do this in Rawhide only, however, it would be greatly
appreciated if you could push it to Fedora 24 as well.


If you need more instructions, a guide for porting Python-based RPMs is
available at [2].
If anything is unclear, or if you need any kind of assistance with the
porting, you can ask on IRC (#fedora-python on Freenode), or reply here.
We'll be happy to help!


[0] https://fedoraproject.org/wiki/Packaging:Python
[1] https://fedoraproject.org/wiki/Packaging:Python#Example_common_spec_file
[2] http://python-rpm-porting.readthedocs.io/

Comment 1 Jan Beran 2016-07-24 13:51:14 UTC
The current specfile looks Python 3 ready.

Comment 2 Dominika Krejčí 2016-07-25 09:01:20 UTC
Created attachment 1183640 [details]
Version update & enable Python 3

Hi Matthias,
I have made some changes in the specfile to enable Python 3 and update the version. Could you please review it and do the update?

Koji scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=15012153

Also tested in Mock (fedora-24-x86_64, fedora-rawhide-x86_64, fedora-rawhide-i386).

Comment 3 Matthias Runge 2016-07-25 09:13:08 UTC
I would not remove checks for python3 support; you're making it harder than necessary for folks on epel/centos

Comment 4 Jan Kurik 2016-07-26 04:48:17 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 25 development cycle.
Changing version to '25'.

Comment 5 Dominika Krejčí 2016-07-26 13:11:38 UTC
Created attachment 1184272 [details]
Version update & enable Python 3

Thank you Matthias for your comment. What about this patch? I have made just some minor changes this time.

Comment 6 Matthias Runge 2016-08-01 15:43:55 UTC
Dominika, you're hard-enabling py3 support. this does not work e.g on CentOS or doesn't work in epel. See my comment#3 above.

Otherwise looks ok.

Comment 7 Lumír Balhar 2016-08-31 07:58:41 UTC
Created attachment 1196253 [details]
New upstream release and Python 3 subpackage

Hello.

I extended patch from Dominika with condition which allows Python 3 subpackage only for Fedora.

Is this patch ok for you now or should I make more changes?

Thank you and have a nice day.

Comment 8 Matthias Runge 2016-08-31 09:54:30 UTC
the patch looks good to me, if you can apply it directly, please go ahead.

Comment 9 Lumír Balhar 2016-08-31 10:15:53 UTC
Koji scratch build: https://koji.fedoraproject.org/koji/taskinfo?taskID=15448733

Comment 10 Matthias Runge 2016-08-31 10:19:20 UTC
I found a minute to push it myself. Thanks!


Note You need to log in before you can comment on or make changes to this bug.